Get Smart Contract
GET
/blockscout/smart-contracts/{address_hash}
Path Parameters
address_hash
string
required
path
Address hash
Responses
200
Smart Contract
application/jsonverified_twin_address_hash
string
is_verified
boolean
is_changed_bytecode
boolean
is_partially_verified
boolean
is_fully_verified
boolean
is_verified_via_sourcify
boolean
is_verified_via_eth_bytecode_db
boolean
is_self_destructed
boolean
can_be_visualized_via_sol2uml
boolean
minimal_proxy_address_hash
string
sourcify_repo_url
string
name
string
optimization_enabled
boolean
optimizations_runs
integer
compiler_version
string
evm_version
string
verified_at
string
abi
string
source_code
string
file_path
string
compiler_settings
object
constructor_args
string
additional_sources
object[]
Array of:
file_path
string
source_code
string
decoded_constructor_args
object[]
Array of:
deployed_bytecode
string
creation_bytecode
string
external_libraries
object[]
Array of:
name
string
REQUIRED
address_hash
string
REQUIRED
language
string
status
string
400
Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/smart-contracts/string'
const response = await fetch('https://data-api.b3.fun//blockscout/smart-contracts/string', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://data-api.b3.fun//blockscout/smart-contracts/string')
print(response.json())
200
Response
{
"verified_twin_address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
"is_verified": true,
"is_changed_bytecode": true,
"is_partially_verified": true,
"is_fully_verified": true,
"is_verified_via_sourcify": true,
"is_verified_via_eth_bytecode_db": true,
"is_self_destructed": true,
"can_be_visualized_via_sol2uml": true,
"minimal_proxy_address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
"sourcify_repo_url": "https://sourcify.repo.com/100/link_to_a_contract_at_sourcify",
"name": "Cryptostamp3L2",
"optimization_enabled": false,
"optimizations_runs": 200,
"compiler_version": "v0.8.4+commit.c7e474f2",
"evm_version": "default",
"verified_at": "2021-06-02T17:54:17.116055Z",
"abi": "[{\"type\":\"constructor\",\"stateMutability\":\"nonpayable\",\"inputs\":[{\"type\":\"address\",\"name\":\"_bridgeDataAddress\",\"internalType\":\"address\"},{\"type\":\"uint256\",\"name\":\"_finalSupply\",\"internalType\":\"uint256\"},{\"type\":\"uint256[5]\",\"name\":\"_totalColorSupply\",\"internalType\":\"uint256[5]\"}]}]",
"source_code": "contract A {}",
"file_path": "contract.sol",
"compiler_settings": {
"compilationTarget": {
"@openzeppelin/contracts/proxy/ERC1967/ERC1967Proxy.sol": "ERC1967Proxy"
},
"evmVersion": "london",
"libraries": {},
"metadata": {
"bytecodeHash": "ipfs"
},
"optimizer": {
"enabled": true,
"runs": 200
},
"remappings": []
},
"constructor_args": "0x01",
"additional_sources": [
{
"file_path": "contracts/erc-20.sol",
"source_code": "pragma solidity ^0.8.0; \\n contract A {}"
}
],
"decoded_constructor_args": [
[
"0x2a3885b3f0c98f3e36334d4fa7beda53cb0ae095",
{
"internalType": "address",
"name": "_logic",
"type": "address"
}
]
],
"deployed_bytecode": "0x01",
"creation_bytecode": "0x02",
"external_libraries": [
{
"name": "MathLib",
"address_hash": "0xF61f5c4a3664501F499A9289AaEe76a709CE536e"
}
],
"language": "solidity | vyper | yul",
"status": "selfdestructed | failed | success"
}
GET
/blockscout/smart-contracts/{address_hash}